BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

For an example of creating a file and writing text to a file, see [<topic://cpconwritingtexttofile>]. For an example of reading text from a file, see [<topic://cpconreadingtextfromfile>]. For an example of reading from and writing to a binary file, see [<topic://cpconReadingWritingToNewlyCreatedDataFile>].

A FileAccess parameter is specified in many of the constructors for , , , and other constructors where it is important to control the kind of access users have to a file.

Defines constants for read, write, or read/write access to a file.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAccess Read To be added.

  Read access to the file. Data can be read from the file. Combine with Write for read/write access.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAccess ReadWrite To be added.

  Read and write access to the file. Data can be written to and read from the file.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAccess Write To be added.

  Write access to the file. Data can be written to the file. Combine with Read for read/write access.

  0
0